Bug 845496 - [abrt] control-center-3.5.5-2.fc18: get_all_ppds_async_cb: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.5.5-2.fc18: get_all_ppds_async_cb: Process /usr/bin/g...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:d6ac0a2665c2541bc6b43071ab2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 04:58 EDT by D. Charles Pyle
Modified: 2015-02-17 09:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.49 KB, text/plain)
2012-08-03 04:59 EDT, D. Charles Pyle
no flags Details
File: maps (120.53 KB, text/plain)
2012-08-03 04:59 EDT, D. Charles Pyle
no flags Details
File: dso_list (20.29 KB, text/plain)
2012-08-03 04:59 EDT, D. Charles Pyle
no flags Details
File: build_ids (8.29 KB, text/plain)
2012-08-03 04:59 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-08-03 04:58:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-control-center --overview
comment:        I was moving from the Details panel to the System Settings main window, so far as I can recollect.
crash_function: get_all_ppds_async_cb
executable:     /usr/bin/gnome-control-center
kernel:         3.6.0-0.rc0.git8.1.fc18.x86_64
pid:            4414
remote_result:  NOTFOUND
time:           Fri 03 Aug 2012 02:44:50 AM MDT
uid:            1000
var_log_messages: Aug  3 04:44:50 Illuminatus-1 abrt[4471]: Saved core dump of pid 4414 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-08-03-02:44:50-4414 (75431936 bytes)
xsession_errors: 

backtrace:      Text file, 28147 bytes
build_ids:      Text file, 8487 bytes
dso_list:       Text file, 20779 bytes
maps:           Text file, 123420 bytes

cgroup:
:8:perf_event:/
:7:blkio:/
:6:net_cls:/
:5:freezer:/
:4:devices:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dcpyle/12

core_backtrace:
:c2b94442523649ea0d2b68b9af9d770b5f224259 0x1e884 get_all_ppds_async_cb libprinters.so -
:c2b94442523649ea0d2b68b9af9d770b5f224259 0xa491 get_all_ppds_idle_cb libprinters.so -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x47c55 g_main_context_dispatch libglib-2.0.so.0 -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x47f88 g_main_context_iterate.isra.23 libglib-2.0.so.0 -
:3847a2d2cf720d84c4a9593e0136e6c2fd287310 0x48044 g_main_context_iteration libglib-2.0.so.0 -
:dcab2b52813b40b21da82dabce71b9ffb7d98327 0xa177c g_application_run libgio-2.0.so.0 -
:464133064fcfb28c239d5743f71c873eed1bbf72 0x8f82 main [exe] -

environ:
:XDG_VTNR=5
:XDG_SESSION_ID=12
:HOSTNAME=Illuminatus-1
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=dcpyle
:USERNAME=dcpyle
:MAIL=/var/spool/mail/dcpyle
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dcpyle/.local/bin:/home/dcpyle/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dcpyle
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dcpyle
:SHLVL=1
:LOGNAME=dcpyle
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Sb5Br9JYa8,guid=5c26fafe8f28e8c6a2ba790c501b8841
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=5
:XDG_RUNTIME_DIR=/run/user/dcpyle
:DISPLAY=:6
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-dcpyle-uOhrRQ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2776,unix/unix:/tmp/.ICE-unix/2776
:GNOME_KEYRING_CONTROL=/run/user/dcpyle/keyring-IttW1c
:SSH_AUTH_SOCK=/run/user/dcpyle/keyring-IttW1c/ssh
:GPG_AGENT_INFO=/run/user/dcpyle/keyring-IttW1c/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-control-center.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4414
:DESKTOP_STARTUP_ID=gnome-shell-3095-Illuminatus-1-gnome-control-center-6_TIME8381058

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31283                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31283                31283                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:socket:[434270]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[434271]
:pos:	0
:flags:	02004002
:7:socket:[433769]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	02100002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[434294]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/dev/urandom
:pos:	0
:flags:	02100000
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[438136]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[452773]
:pos:	0
:flags:	02000002
:18:socket:[452381]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: a4bd851e-528a-4265-9b7b-770fc3ec09a6
:OS: Fedora release 18 (Rawhide)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6383.81
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E6700  @ 3.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3203
:System Memory: 3934
:System Swap: 6015
:Vendor: Dell Inc.
:System: Inspiron 560 00
:Form factor: Desktop
:Kernel: 3.6.0-0.rc0.git8.1.fc18.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:14902:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14916:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 3
:(32902:14882:4136:1081) pci, ahci, STORAGE, 82801JI (ICH10 Family) SATA AHCI Controller
:(32902:14912:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14870:4136:1081) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(4098:26814:4163:824) pci, radeon, VIDEO, Juniper [Radeon HD 5750 Series]
:(5361:23418:112:29764) pci, cx18, MULTIMEDIA_VIDEO, WinTV HVR-1600
:(32902:14910:4136:1081) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14901:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:14896:4136:1081) pci, i801_smbus, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:9294:4136:1081) pci, None, PCI/PCI, 82801 PCI Bridge
:(4332:33128:4136:1081) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:14900:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14903:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(32902:11808:4136:1081) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4136:1081) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(32902:14906:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_illuminatus--1-lv_root / ext4 4096 4096 12643503 9563190 8920938 3211264 2834667 2834667
:/dev/sdb5 /boot ext4 1024 1024 495844 392258 366658 128016 127657 127657
:/dev/mapper/vg_illuminatus--1-lv_home /home ext4 4096 4096 6321751 6246711 5925585 1605632 1604825 1604825
:
Comment 1 D. Charles Pyle 2012-08-03 04:59:00 EDT
Created attachment 602089 [details]
File: backtrace
Comment 2 D. Charles Pyle 2012-08-03 04:59:02 EDT
Created attachment 602090 [details]
File: maps
Comment 3 D. Charles Pyle 2012-08-03 04:59:03 EDT
Created attachment 602091 [details]
File: dso_list
Comment 4 D. Charles Pyle 2012-08-03 04:59:05 EDT
Created attachment 602092 [details]
File: build_ids
Comment 5 Marek Kašík 2012-08-07 05:58:02 EDT
I've committed a fix for this to upstream's git. It will be available in next release of gnome-control-center.

Regards

Marek
Comment 6 D. Charles Pyle 2012-08-07 23:04:09 EDT
When will this filter down to Fedora 17? I have been experiencing repeated crashes of this nature there as well. However, I think I found the potential cause of this error in my case. It looks like an interaction with the cx18 driver, the same one involving crashes with User Accounts and Cheese.

If the firmware package (cx18-firmware-20080628-5) is installed, Cheese and User Accounts won't run. They both slam the hard drive, run CPU up to 100%, and fill memory to capacity before being killed automatically by the system.

If I remove the firmware package, Cheese works and User Accounts works. However, I get the above error and related, repeated crashes of gnome-settings-daemon, which prevents me from staying logged on to a Cinnamon session and causes all sorts of errors and other strange behavior in a gnome shell session such as removal of the battery status icon.
Comment 7 Fedora End Of Life 2013-04-03 12:22:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 12:17:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 09:23:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.